Upsert Print Classes
post
/config/sim/v2/devices/upsertPrinterClasses
Updates provided fields if the Print Class object exists, else inserts a new Print Class.
Request
Supported Media Types
- application/json
- multipart/form-data
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Print Class Upsert Request Body
Root Schema : schema
Type:
objectModel for Print Class Upsert Request
Show Source
-
hierUnitId(required):
integer
Unique reference of the hierarchy unit where the print class is configuredExample:
3599 -
name:
object name
Name of the Print Class. Required field to create a new Print Class.
-
objectNum(required):
integer
Object Number of the Print Class.Example:
1 -
options:
string
A string value of 0s & 1s of length 8 representing the enablement or disablement of the options associated with the Print ClassExample:
11010101 -
orderDeviceDisabled:
string
A string value of 0s & 1s of length 32 representing the enablement or disablement of the order devices associated with the Print ClassExample:
11010101110101011101010111010101 -
orderDeviceOutput:
string
A string value of 0s & 1s of length 32 representing the enablement or disablement of the order device output associated with the Print Class. It is set to all 0's if routingGroupObjNum has a non NULL value.Example:
11010101110101011101010111010101 -
routingGroupObjNum:
integer
Select the routing group to use for each print class if Routing Group Printing is enabled.Example:
3
Nested Schema : name
Type:
objectName of the Print Class. Required field to create a new Print Class.
Example:
{
"1":"Enterprise",
"2":"Unternehmen",
"3":"Empresa"
}Response
Supported Media Types
- application/json
200 Response
Print Class Updated.
Root Schema : schema
Type:
Show Source
object-
hierUnitId:
integer
Unique hierarchy unit valueExample:
1 -
objectNum:
integer
Object number of the printerExample:
1
201 Response
Print Class Added.
Root Schema : schema
Type:
Show Source
object-
hierUnitId:
integer
Unique hierarchy unit valueExample:
1 -
objectNum:
integer
Object number of the printerExample:
1